<template>
  <v-container fluid>
    <v-row>
    <v-col cols="3" >
      <v-card
        :elevation="hover ? 16 : 2"
        :class="{ 'on-hover': hover }"
        class="mx-auto"
        height="300"
        max-width="300"
      >
        <p></p>
        <v-card-text
          class="font-weight-medium mt-12 text-center text-subtitle-1"
        >
          <img
            src="../picture/qw.png"
            alt="logo"
            width="250px"
            height="280px"
          />
        </v-card-text>
        
        
      </v-card>
    </v-col>
  
  
    <v-col cols="3" >
      <v-card
        :elevation="hover ? 16 : 2"
        :class="{ 'on-hover': hover }"
        class="mx-auto"
        height="300"
        max-width="300"
      >
        <p></p>
        <v-card-text
          class="font-weight-medium mt-12 text-center text-subtitle-1"
        >
          <img
            src="../picture/Iced_Thai_Tea.jpg"
            alt="logo"
            width="250px"
            height="280px"
          />
        </v-card-text>
        <br /><br />
        
      </v-card>
    </v-col>
  </v-row>

    <v-data-iterator
      :items="items"
      :items-per-page.sync="itemsPerPage"
      hide-default-footer
    >
      <template v-slot:default="props">
        <v-row>
          <v-col
            v-for="item in props.items"
            :key="item.name"
            cols="12"
            sm="6"
            md="4"
            lg="3"
          >
            <v-card>
              
              <v-card-title class="subheading font-weight-bold  " >
               
                {{ item.name }}
              
              </v-card-title>
              

              <v-divider></v-divider>

              <v-list dense>
                <v-list-item>
                  <v-list-item-content>Glass:</v-list-item-content>
                  <v-list-item-content class="align-end">
                    {{ item.glass }}
                  </v-list-item-content>
                </v-list-item>

                <v-list-item>
                  <v-list-item-content>Glass Cover:</v-list-item-content>
                  <v-list-item-content class="align-end">
                    {{ item.glasscover }}
                  </v-list-item-content>
                </v-list-item>

                <v-list-item>
                  <v-list-item-content>Straw:</v-list-item-content>
                  <v-list-item-content class="align-end">
                    {{ item.straw }}
                  </v-list-item-content>
                </v-list-item>

                <v-list-item>
                  <v-list-item-content>Coffee Bean:</v-list-item-content>
                  <v-list-item-content class="align-end">
                    {{ item.coffeebean }}
                  </v-list-item-content>
                </v-list-item>

                <v-list-item>
                  <v-list-item-content>Tea:</v-list-item-content>
                  <v-list-item-content class="align-end">
                    {{ item.tea }}
                  </v-list-item-content>
                </v-list-item>

                <v-list-item>
                  <v-list-item-content>Milk:</v-list-item-content>
                  <v-list-item-content class="align-end">
                    {{ item.milk }}
                  </v-list-item-content>
                </v-list-item>

                <v-list-item>
                  <v-list-item-content>Sweetened Milk:</v-list-item-content>
                  <v-list-item-content class="align-end">
                    {{ item.sweetenedmilk }}
                  </v-list-item-content>
                </v-list-item>
              </v-list>
            </v-card>
          </v-col>
        </v-row>
      </template>
    </v-data-iterator>
  </v-container>
</template>
<script>
export default {
  layout: "default4",
  data: () => ({
    itemsPerPage: 4,
    items: [
      {
        name: "Cappucino",
        glass: "1 piece",
        glasscover: "1 piece",
        straw: "1 piece", 
        coffeebean: "20 g",
        tea:"0 g",
        milk: "20 ml",
        sweetenedmilk: "40 ml",
       
       
      },
      {
        name: "Thai Tea",
        glass: "1 piece",
        glasscover: "1 piece",
        straw: "1 piece", 
        coffeebean: "0 g",
        tea:"20 g",
        milk: "20 ml",
        sweetenedmilk: "40 ml",
        
      },
    ],
  }),
};
</script>
